kafka-jira mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (KAFKA-6210) IllegalArgumentException if 1.0.0 is used for inter.broker.protocol.version or log.message.format.version
Date Wed, 15 Nov 2017 16:08:00 GMT

    [ https://issues.apache.org/jira/browse/KAFKA-6210?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16253702#comment-16253702
] 

ASF GitHub Bot commented on KAFKA-6210:
---------------------------------------

GitHub user ijuma opened a pull request:

    https://github.com/apache/kafka/pull/4220

    KAFKA-6210: IllegalArgumentException if 1.0.0 is used for inter.broker.protocol.version
or log.message.format.version

    Added unit test for ApiVersion and testApiVersions from
    Scala to Java.
    
    ### Committer Checklist (excluded from commit message)
    - [ ] Verify design and implementation 
    - [ ] Verify test coverage and CI build status
    - [ ] Verify documentation (including upgrade notes)


You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/ijuma/kafka kafka-6210-iae-if-1.0.0-inter-broker-protocol-version

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/kafka/pull/4220.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #4220
    
----
commit 6a58580b9ae4848c730e6fee7b2424b5bdf13c97
Author: Ismael Juma <ismael@juma.me.uk>
Date:   2017-11-15T16:04:46Z

    KAFKA-6210: IllegalArgumentException if 1.0.0 is used for inter.broker.protocol.version
or log.message.format.version

----


> IllegalArgumentException if 1.0.0 is used for inter.broker.protocol.version or log.message.format.version
> ---------------------------------------------------------------------------------------------------------
>
>                 Key: KAFKA-6210
>                 URL: https://issues.apache.org/jira/browse/KAFKA-6210
>             Project: Kafka
>          Issue Type: Bug
>    Affects Versions: 1.0.0
>            Reporter: Ismael Juma
>            Assignee: Ismael Juma
>             Fix For: 1.1.0, 1.0.1
>
>
> The workaround is trivial (use 1.0), but this is sure to trip many users. Also, if you
have automatic restarts on crashes, it may not be obvious what's going on. Reported by Brett
Rahn.



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)

Mime
View raw message